<?php
/**
* © Copyright 2008 IntraHealth International, Inc.
* 
* This File is part of I2CE 
* 
* I2CE is free software; you can redistribute it and/or modify 
* it under the terms of the GNU General Public License as published by 
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License 
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/**
*  iHRIS_Page_Person_Accident_History
* @package I2CE
* @subpackage Core
* @author Carl Leitner <litlfred@ibiblio.org>
* @copyright Copyright &copy; 2008 IntraHealth International, Inc. 
* This file is part of I2CE. I2CE is free software; you can redistribute it and/or modify it under 
* the terms of the GNU General Public License as published by the Free Software Foundation; either 
* version 3 of the License, or (at your option) any later version. I2CE is distributed in the hope 
* that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
* or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have 
* received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.
* @version 2.1
* @access public
*/


class iHRIS_Page_Person_Accident_History extends I2CE_Page {


    /**
     * Load the HTML template files for editing and confirming the index and demographic information.
     */
    protected function loadHTMLTemplates() {
        parent::loadHTMLTemplates();
        $this->template->appendFileById( "menu_view_link.html", "li", "navBarUL", true );
    }

            
    /**
     * Perform the main actions of the page.
     */
    protected function action() {
        parent::action();
        if (!$this->hasPermission('task(person_can_view_child_form_accident)')) {
            return false;
        }
        $person_id = 0;
        if ($this->get_exists('parent')) {
            $person_id = $this->get('parent');
        }
        if (!$person_id || $person_id == '0') {
            return;
        }
        $factory = I2CE_FormFactory::instance();
        $personForm = $factory->createForm($person_id);
        if (!$personForm instanceof iHRIS_Person) {
            return;
        }
        $personForm->populate();
        $this->setForm($personForm);
        $this->setDisplayData('person_id', 'id=' . $person_id);
        $dispAppendNode = $this->template->getElementById('accident_list');
        if (!$dispAppendNode instanceof DOMNode) {
            return;
        }
        if ($this->get_exists('id') ) {
            $accidents = array();
            $accident = $factory->createForm($this->get('id'));
            if ($accident instanceof I2CE_Form) {
                $accident->populate();
                $accidents[] = $accident;
            }
        } else {
            $accidents = iHRIS_Module_Accident::getAccidents($personForm,false);
        }
        foreach ($accidents as $accident) {
            $accident->populate();
            $accidentNode =$this->template->appendFileByNode("person_accident_each.html",'div',$dispAppendNode);
            if (!$accidentNode instanceof DOMNode) {
                return; //
            }
            $this->setDisplayDataImmediate('accident_id' , 'id=' . $accident->getFormID(). '&parent=' . $personForm->getFormID(), $accidentNode );
            $this->setForm($accident,$accidentNode);
        }
    }



}
# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
