<?php
/*
 * © Copyright 2007, 2008 IntraHealth International, Inc.
 * 
 * This File is part of iHRIS
 * 
 * iHRIS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * @package iHRIS
 * @subpackage Qualify
 * @author Luke Duncan <lduncan@intrahealth.org>
 * @copyright Copyright &copy; 2007, 2008 IntraHealth International, Inc. 
 * @since v1.0.0
 * @version v2.0.0
 */
/**
 * Object for dealing with cadres.
 * 
 * @package iHRIS
 * @subpackage Qualify
 * @access public
 */
class iHRIS_Cadre extends I2CE_List {

    /**
     * Return the list edit type for this list.
     * 
     * The possible return values are "list," "dual," or "select." Select will display a drop down of 
     * all choices and list and dual will list them all in a table.  Dual includes the linked list object for the
     * object.
     * @return string
     */
    public function getListType() { return "list"; }

    /**
     * List all cadres by training institutions.
     * 
     * This will return an array that includes all training institutions with all cadres that
     * are in taught by that institution.
     * @return array
     */
    /*
    static public function getOptionsByLink() {
        $factory = I2CE_FormFactory::instance();
        $db = MDB2::singleton();
        I2CE::pearError( $db, "Error getting database connection: " );
        $list = array();
        $main_details = I2CE_FormField::getFormFieldIdAndType( $factory->getFormName( get_class() ), self::MAIN_FIELD );
        $link_details = I2CE_FormField::getFormFieldIdAndtype( "training_program", "cadre" );

        $query =  "
SELECT e1.record,e1." . $main_details['type'] . "_value AS value,r.parent AS link 
FROM last_entry e1 JOIN last_entry e2 ON e2.integer_value = e1.record JOIN record r ON r.id = e2.record
WHERE e1.form_field = ? AND e2.form_field = ? ORDER BY link,value
";
        $param_types = array( 'integer', 'integer' );
        $params = array( $main_details['id'], $link_details['id'] );
        
        $sth = $db->prepare( $query, $param_types, MDB2_PREPARE_RESULT );
        
        if ( isset( $sth ) && !I2CE::pearError( $sth, "Error preparing cadres by institution: " ) ) {
            $results = $sth->execute( $params );
            if ( !I2CE::pearError( $results, "Error executing cadres by institution: " ) ) {
                while ( $data = $results->fetchRow() ) {
                    $list[ $data->link ][ $data->record ] = $data->value;
                }
                $results->free();
            }
            $sth->free();
        }
        return $list;
    }
    */
   
    /**
     * Populate the options for a selection element in the {@link I2CE_Template}
     * 
     * Cadres can be linked to training institutions using the training program form.  In a linked
     * field this will determine which cadres can be selected for a given institution.
     * 
     * @param string $form_name The form being listed.
     * @param string $opt_field An optional field to further limit the list of choices
     * @param integer $opt_value If the $opt_field is used then this is the value to limit it by.
     * @returns array
     */
    /*
    static public function listOptions ( $form_name, $opt_field = "", $opt_value = 0 ) {
        if ( $opt_field == "training_institution" && $opt_value > 0 ) {                 
        
            $factory = I2CE_FormFactory::instance();
            $main_field = $factory->getConst( $form_name, "MAIN_FIELD" );
            $details = I2CE_FormField::getFormFieldIdAndType( $form_name, $main_field );
            if ( $details == null ) {
                // There are no current entries so don't do anything. 
                return;
            }
            $db = MDB2::singleton();
            I2CE::pearError( $db, "Error getting database connection: " );
            $sub_clause = "";
            $params = array( $details['id'] );
            $query = "SELECT record," . $details['type'] . "_value AS value FROM last_entry e1 WHERE form_field = ?";
                
            $limit_details = I2CE_FormField::getFormFieldIdAndType( "training_program", "cadre" );
            $sub_clause = " AND e1.record IN (SELECT se.integer_value FROM last_entry se JOIN record sr ON sr.id = se.record WHERE se.form_field = ? AND sr.parent = ? )";
            $params[] = $limit_details['id'];
            $params[] = $opt_value;
                
            $query .= " $sub_clause ORDER BY value";
            $sth = $db->prepare( $query, array('integer', 'integer'), MDB2_PREPARE_RESULT );

            if ( !I2CE::pearError( $sth, "Error preparing options list for cadre by training institution: " ) ) {
                $results = $sth->execute( $params );
                if ( !I2CE::pearError( $results, "Error executing options list for cadre by training institution: " ) ) {
                    $list = array();
                    while ( $data = $results->fetchRow() ) {
                        $list[$data->record] = $data->value;
                    }
                    $results->free();
                }
                $sth->free();                
            }
            return $list;
        } else {
            return parent::listOptions( $form_name, $opt_field, $opt_value );
        }

    }
    */
        
}

# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
