<?php
/*
 * © Copyright 2007, 2008 IntraHealth International, Inc.
 * 
 * This File is part of iHRIS
 * 
 * iHRIS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * @package iHRIS
 * @subpackage Qualify
 * @author Luke Duncan <lduncan@intrahealth.org>
 * @copyright Copyright &copy; 2007, 2008 IntraHealth International, Inc. 
 * @since v1.0.0
 * @version v2.0.0
 */
/**
 * Object for dealing with disciplinary actions.
 * 
 * @package iHRIS
 * @subpackage Qualify
 * @access public
 */
class iHRIS_DisciplinaryAction extends I2CE_Form {
        
    /**
     * Perform any extra validation for the disciplinary action.
     */
    public function validate() {
        parent::validate();
        if ( I2CE_Validate::checkDate( $this->reinstate_date ) && I2CE_Validate::checkDate( $this->action_date ) ) {
            if ( $this->reinstate_date->before( $this->action_date ) ) {
                $this->getField( "reinstate_date" )->setInvalid( "The reinstatement date must be after the initial action date." );
            }
        }
        
    }

}

# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
